package org.example.data

import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest

interface ShoesRepository {
    fun addShoes(addShoesRequest: AddShoesRequest): ShoesDTO
    fun removeShoes(productId: Int): Boolean
    fun updateShoes(productId: Int, updatedShoes: ShoesDTO): ShoesDTO
    fun getAllShoes():List<ShoesDTO>
    fun findShoesById(productId: Int): ShoesDTO
}